Skip to main content
GET
/
v1
/
attestations
/
{messageHash}
Get an attestation
curl --request GET \
  --url https://iris-api-sandbox.circle.com/v1/attestations/{messageHash}
import requests

url = "https://iris-api-sandbox.circle.com/v1/attestations/{messageHash}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://iris-api-sandbox.circle.com/v1/attestations/{messageHash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "attestation": "0xdc485fb2f9a8f68c871f4ca7386dee9086ff9d4387756990c9c4b9280338325252866861f9495dce3128cd524d525c44e8e7b731dedd3098a618dcc19c45be1e1c",
  "status": "complete"
}

Path Parameters

messageHash
string
required

Message hash for the message being bridged. This can be generated using the keccak256 hash of the message bytes emitted by the MessageSent event.

Pattern: ^0x[a-fA-F0-9]{64}$
Example:

"0x912f22a13e9ccb979b621500f6952b2afd6e75be7eadaed93fc2625fe11c52a2"

Response

Successfully retrieved either the signed attestation or the message is still pending block confirmations.

Signed or pending attestation.

status
enum<string>
required

Status of the attestation, whether it is signed or awaiting more block confirmations.

Available options:
complete,
pending_confirmations
attestation
string | null

Signed attestation corresponding to the given messageHash parameter. This is null if the event has been seen but the attestation is still pending block confirmations.

Example:

"0x6edd90f4a0ad0212fd9fbbd5058a25aa8ee10ce77e4fc143567bbe73fb6e164f384a3e14d350c8a4fc50b781177297e03c16b304e8d7656391df0f59a75a271f1b"